Package org.eclipse.help.server

## Class HelpServer

- java.lang.Object
- - org.eclipse.help.server.HelpServer

    public abstract class HelpServer
    extends Object

Since:
  3.4 Abstract class representing a web server which can be used to host the Eclipse help system using the extension point org.eclipse.help.base.server. Classes extending this abstract class must be capable of launching a Web Server and

### Constructor Summary

Constructors
`HelpServer()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `getHost()` Returns the host name or ip the app server runs on.
`abstract int` `getPort()` Returns the port number the app server listens on
`abstract void` `start​(String webappName)` Start a server application to host the Eclipse help system.
`abstract void` `stop​(String webappName)` Stop a server application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HelpServer

    public HelpServer()

### Method Detail

#### start

    public abstract void start​(String webappName)
                        throws Exception

Start a server application to host the Eclipse help system. The server is responsible for initializing the servlets, jsp files and other resources for the help system as defined by the extension points `org.eclipse.equinox.http.registry.resources` and `org.eclipse.equinox.http.registry.servlets` for the httpcontextId `org.eclipse.help.webapp.help`

Parameters:
  `webappName` - The name of this web application
Throws:
  `Exception` - If anything prevented starting the server.

#### stop

    public abstract void stop​(String webappName)
                       throws CoreException

Stop a server application. If an application of this name has not been started do nothing

Parameters:
  `webappName` - the name of a running web application
Throws:
  `CoreException` - If there was any error during stopping.

#### getPort

    public abstract int getPort()

Returns the port number the app server listens on

Returns:
  integer port number, 0 if server not started

#### getHost

    public abstract String getHost()

Returns the host name or ip the app server runs on.

Returns:
  String representation of host name of IP, null if server not started yet